## xorg 7.7%2b13ubuntu4

=== debian/changelog ===
xorg (1:7.7+13ubuntu4) yakkety; urgency=medium

  [ Timo Aaltonen ]
  * control: Drop vmmouse from -input-all depends, our kernel has had
    the virtual driver for some time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Sep 2016 10:08:59 -0700

xorg (1:7.7+13ubuntu3) xenial; urgency=medium

  * control: Drop freedreno and void from video/input-all so that they
    don't block the transition while MIR's are being processed.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Mar 2016 16:53:04 +0200

xorg (1:7.7+13ubuntu2) xenial; urgency=medium

  * control: Demote -intel to -video-all Recommends, allowing uninstall
    without removing the metapackage.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Feb 2016 07:35:17 +0200

xorg (1:7.7+13ubuntu1) xenial; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Feb 2016 17:56:38 +0200

xorg (1:7.7+13) unstable; urgency=medium

  [ Andreas Boll ]
  * Merge xsf-docs up to 13946cb commit:
    - makefile: Set TZ=UTC before calling asciidoc (Closes: #795985).
      Thanks, Eduard Sanou!
  * rules: Remove unused variable ARCH.
  * Delete obsolete debian/xsfbs.
  * Bump Standards-Version to 3.9.6 (no changes needed).

  [ Timo Aaltonen ]
  * control: Add xserver-xorg-video-amdgpu to -video-all Depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Jan 2016 18:24:15 +0200

xorg (1:7.7+12ubuntu1) xenial; urgency=medium

  * Merge from Debian, remaining changes:
    - control: add xserver-xorg-video-geode for i386 Suggests
    - control: demote 'xserver-xorg-video-all | xorg-driver-video' to
      Recommends.
    - control: promote xserver-xorg-input-wacom to Depends
    - control: drop depend on libgl*-mesa* on armhf
    - control: add xinput to xorg Depends
    - control: demote xfonts-{100dpi,75dpi,scalable} * to xorg
      Recommends/Suggests
    - local/Xsession: truncate ERRFILE if it's too big
    - local/Xsession.d/20x11-common_process-args: Add support for
      session command containing args (LP: 512235)
    - local/Xsession.d/60x11-common_xdg_path: added to set
      xdg path depending on the selected session (compatible with
      lightdm, gdm and kdm now) (LP: 804734)
  * Drop obsolete diff:
    - depends on x11-common because of doc dir symlinking, which is now
      handled by pkgbinarymangler
    - x11-common.{postinst,preinst,prerm}.in: removing old failsafe-x
      files is obsolete since a few years

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Nov 2015 18:17:25 +0200

xorg (1:7.7+12) unstable; urgency=medium

  * Team upload.
  [ Andreas Boll ]
  * Merge xsf-docs up to 4116d1e commit:
    - build-mesa: Drop nouveau note
    - build-mesa: Update ./configure options
    - build-mesa: Drop obsolete FIXME and s/test_application/es2_info/
    - build-mesa: Drop obsolete information for squeeze
  * Drop vars files for unsupported architectures: arm, armeb, ia64,
    m32r, s390 and sparc.
  * Add upstream url.
  * Use https for Vcs-* fields.
  * Remove all non-KMS (except fbdev and vesa) drivers from
    xserver-xorg-video-all.
  * Inline all vars files into control.
  * Remove redundant xserver-xorg-input-evdev from xserver-xorg (Already
    in -input-all).
  * Simplify and consolidate xserver-xorg-{input,video}-all:
    - Use architecture wildcards.
    - Add support for mips64el (Closes: #755482).
    - Add xserver-xorg-video-intel on kfreebsd-any.
    - Add xserver-xorg-video-freedreno on armel and armhf.
    - Add xserver-xorg-video-nouveau on arm64.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Oct 2015 10:24:27 +0200

xorg (1:7.7+11) experimental; urgency=medium

  * Fix arch-specific build broken in 1:7.7+10.

 -- Julien Cristau <jcristau@debian.org>  Fri, 21 Aug 2015 16:39:20 +0200

xorg (1:7.7+10) experimental; urgency=medium

  * Stop shipping the /usr/bin/X setuid wrapper and associated
    Xwrapper.config, those are now in xserver-xorg-legacy.
  * Convert d/rules to dh.

 -- Julien Cristau <jcristau@debian.org>  Fri, 21 Aug 2015 09:46:32 +0200

xorg (1:7.7+9) unstable; urgency=medium

  * Remove the siliconmotion driver from xserver-xorg-video-all.
  * Remove Cyril and Drew from Uploaders.
  * Bump debhelper compat level to 9.

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 May 2015 14:53:51 +0200

xorg (1:7.7+7ubuntu4) vivid; urgency=medium

  * xorg-server 1.17 no longer requires a driver because
    modesetting is moved to xserver-xorg-core, change
    xserver-xorg-video-all | xorg-driver-video to recommends.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 16 Mar 2015 18:45:44 +0100

xorg (1:7.7+7ubuntu3) vivid; urgency=medium

  * Modesetting has been removed, remove from vars.
  * Do not require vesa on armhf, only fbdev is useful.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 09 Mar 2015 11:51:24 +0100

xorg (1:7.7+8) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/x11-common.init: Add Short-Description field (Closes: #510087)
  * debian/x11-common.init: Call restorecon after creating the socket
    directories to ensure the SELinux context if properly set (Closes: #677831)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)
  * debian/control: Use canonical Vcs-* URL

  [ Maarten Lankhorst ]
  * Default to /usr/bin/Xorg if no /etc/X11/X symlink is found.
  * Remove creation of /etc/X11/X symlink, but keep existing.
  * Do not chdir to /etc/X11 if the symlink has an absolute path.

 -- Julien Cristau <jcristau@debian.org>  Sat, 02 May 2015 19:12:00 +0200

xorg (1:7.7+7ubuntu2) utopic; urgency=medium

  * Lower geode to suggests. (LP: #1368158)
  * Explicitly add inkscape to build-depends.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 15 Sep 2014 09:36:48 +0200

xorg (1:7.7+7ubuntu1) utopic; urgency=medium

  [ Timo Aaltonen ]
  * Merge from debian.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 10 Sep 2014 20:04:07 +0200

xorg (1:7.7+7) unstable; urgency=medium



=== debian/control ===
Source: xorg
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Standards-Version: 3.9.6
Build-Depends:
 dpkg (>= 1.16.1),
 debhelper (>= 9),
 po-debconf,
# xsf-docs:
 asciidoc,
 inkscape,
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/debian/xorg.git
Homepage: http://www.x.org/

Package: x11-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, lsb-base (>= 1.3-9ubuntu2)
Description: X Window System (X.Org) infrastructure
 x11-common contains the filesystem infrastructure required for further
 installation of the X Window System in any configuration; it does not
 provide a full installation of clients, servers, libraries, and utilities
 required to run the X Window System.
 .
 A number of terms are used to refer to the X Window System, including "X",
 "X Version 11", "X11", "X11R6", and "X11R7".  The version of X used in
 Debian is derived from the version released by the X.Org Foundation, and
 is thus often also referred to as "X.Org".  All of the preceding quoted
 terms are functionally interchangeable in an Debian system.

Package: xserver-xorg
Architecture: any
Depends:
 xserver-xorg-core (>= 2:1.17.2-2),
 xserver-xorg-legacy [!linux-any],
 xserver-xorg-input-all | xorg-driver-input,
 ${shlibs:Depends},
 ${misc:Depends},
 xkb-data (>= 1.4),
 x11-xkb-utils
Recommends:
 libgl1-mesa-dri,
 xserver-xorg-video-all | xorg-driver-video,
Provides: xserver
Description: X.Org X server
 This package depends on the full suite of the server and drivers for the
 X.Org X server.  It does not provide the actual server itself.

Package: xserver-xorg-video-all
Architecture: any
Depends:
 xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
 xserver-xorg-video-ati [!hurd-any !s390x],
 xserver-xorg-video-fbdev [!s390x],
# xserver-xorg-video-freedreno [armel armhf],
 xserver-xorg-video-dummy [s390x],
 xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
 xserver-xorg-video-vesa [!s390x],
 xserver-xorg-video-vmware [amd64 hurd-i386 i386 x32],
 ${misc:Depends},
Recommends:
 xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
 xserver-xorg-video-qxl [amd64 i386 x32],
Suggests:
 xserver-xorg-video-geode [i386],
Replaces: xserver-xorg-driver-all
Conflicts: xserver-xorg-driver-all
Description: X.Org X server -- output driver metapackage
 This package depends on the full suite of output drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xserver-xorg-input-all
Architecture: any
Depends:
 xserver-xorg-input-evdev [linux-any],
 xserver-xorg-input-kbd [!linux-any],
 xserver-xorg-input-mouse [!linux-any],
 xserver-xorg-input-synaptics [!s390x],
# xserver-xorg-input-void [s390x],
 xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
 ${misc:Depends},
Recommends:
Description: X.Org X server -- input driver metapackage
 This package depends on the full suite of input drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.

Package: xorg
Architecture: any
Depends:
 xserver-xorg (>= ${binary:Version}),
 libgl1-mesa-glx | libgl1 [!armhf],
 libgl1-mesa-dri [!armhf],
 libglu1-mesa [!armhf],
 xfonts-base (>= 1:1.0.0-1),
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xauth,
 xinit,
 xfonts-utils,
 xkb-data,
 xorg-docs-core,
 xterm | x-terminal-emulator,
 ${misc:Depends},
 xinput,
Recommends:
 xfonts-scalable (>= 1:1.0.0-1),
Provides: x-window-system, x-window-system-core
Suggests:
 xorg-docs,
 xfonts-100dpi (>= 1:1.0.0-1),
 xfonts-75dpi (>= 1:1.0.0-1),
 x11-xfs-utils,
Description: X.Org X Window System
 This metapackage provides the components for a standalone
 workstation running the X Window System.  It provides the X libraries, an X
 server, a set of fonts, and a group of basic X clients and utilities.
 .
 Higher level metapackages, such as those for desktop environments, can
 depend on this package and simplify their dependencies.
 .
 It should be noted that a package providing x-window-manager should also
 be installed to ensure a comfortable X experience.

Package: xorg-dev
Architecture: all
Depends:
 libdmx-dev,
 libfontenc-dev,
 libfs-dev,
 libice-dev,
 libsm-dev,
 libx11-dev,
 libxau-dev,
 libxaw7-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxdmcp-dev,
 libxext-dev,
 libxfixes-dev,
 libxfont-dev,
 libxft-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbfile-dev,
 libxmu-dev,
 libxmuu-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxres-dev,
 libxss-dev,
 libxt-dev,
 libxtst-dev,
 libxv-dev,
 libxvmc-dev,
 libxxf86dga-dev,
 libxxf86vm-dev,
 x11proto-bigreqs-dev,
 x11proto-composite-dev,
 x11proto-core-dev,
 x11proto-damage-dev,
 x11proto-dmx-dev,
 x11proto-fixes-dev,
 x11proto-fonts-dev,
 x11proto-gl-dev,
 x11proto-input-dev,
 x11proto-kb-dev,
 x11proto-randr-dev,
 x11proto-record-dev,
 x11proto-render-dev,
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev,
 x11proto-xext-dev,
 x11proto-xf86bigfont-dev,
 x11proto-xf86dga-dev,
 x11proto-xf86dri-dev,
 x11proto-xf86vidmode-dev,
 x11proto-xinerama-dev,
 xserver-xorg-dev,
 xtrans-dev,
 ${misc:Depends},
Description: X.Org X Window System development libraries
 This metapackage provides the development libraries for the X.Org X Window
 System.
 .
 X Window System design documentation, manual pages, library reference
 works, static versions of the shared libraries, and C header files are
 supplied by the packages depended on by this metapackage.
 .
 Note that this is a convenience package for users and is not a package for
 Debian developers to have their package depend on.

Package: xbase-clients
Section: x11
Architecture: all
Depends:
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 xauth,
 xinit,
 ${misc:Depends},
Suggests:
 x11-xfs-utils,
Description: miscellaneous X clients - metapackage
 An X client is a program that interfaces with an X server (almost always via
 the X libraries), and thus with some input and output hardware like a
 graphics card, monitor, keyboard, and pointing device (such as a mouse).
 .
 This package provides a miscellaneous assortment of several dozen X clients
 that ship with the X Window System.
 .
 This package is provided for transition from earlier Debian releases, the
 programs formerly in xutils and xbase-clients having been split out in smaller
 packages.

Package: xutils
Section: x11
Architecture: all
Depends:
 x11-utils,
 x11-xserver-utils,
 x11-session-utils,
 xfonts-utils,
 ${misc:Depends},
Suggests:
 x11-xfs-utils,
Description: X Window System utility programs metapackage
 xutils provides a set of utility programs shipped with the X Window System.
 Many of these programs are useful even on a system that does not have any X
 clients or X servers installed.
 .
 This package is provided for transition from earlier Debian releases, the
 programs formerly in xutils and xbase-clients having been split out in smaller
 packages.

## xorg 7.7%2b22ubuntu1

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.5.0
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper (>= 9),
+ debhelper-compat (= 12),
  po-debconf,
 # xsf-docs:
  asciidoc,
- inkscape,
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/debian/xorg.git
-Homepage: http://www.x.org/
+Vcs-Git: https://salsa.debian.org/xorg-team/debian/xorg
+Vcs-Browser: https://salsa.debian.org/xorg-team/debian/xorg
+Homepage: https://www.x.org/
 
 Package: x11-common
 Architecture: all
@@ -40,10 +39,13 @@
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
- x11-xkb-utils
+ x11-xkb-utils,
+ python3-apport,
 Recommends:
  libgl1-mesa-dri,
- xserver-xorg-video-all | xorg-driver-video,
+ mesa-vulkan-drivers,
+ xserver-xorg-legacy [linux-any],
+ xserver-xorg-video-all,
 Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
@@ -55,7 +57,6 @@
  xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
  xserver-xorg-video-ati [!hurd-any !s390x],
  xserver-xorg-video-fbdev [!s390x],
-# xserver-xorg-video-freedreno [armel armhf],
  xserver-xorg-video-dummy [s390x],
  xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
  xserver-xorg-video-vesa [!s390x],
@@ -64,8 +65,6 @@
 Recommends:
  xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
  xserver-xorg-video-qxl [amd64 i386 x32],
-Suggests:
- xserver-xorg-video-geode [i386],
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
 Description: X.Org X server -- output driver metapackage
@@ -76,14 +75,13 @@
 Package: xserver-xorg-input-all
 Architecture: any
 Depends:
- xserver-xorg-input-evdev [linux-any],
  xserver-xorg-input-kbd [!linux-any],
+ xserver-xorg-input-libinput [linux-any],
  xserver-xorg-input-mouse [!linux-any],
- xserver-xorg-input-synaptics [!s390x],
-# xserver-xorg-input-void [s390x],
+ xserver-xorg-input-synaptics [!linux-any],
+ ${misc:Depends},
+Recommends:
  xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
- ${misc:Depends},
-Recommends:
 Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -107,7 +105,7 @@
  xfonts-utils,
  xkb-data,
  xorg-docs-core,
- xterm | x-terminal-emulator,
+ gnome-terminal | xterm | x-terminal-emulator,
  ${misc:Depends},
  xinput,
 Recommends:
@@ -164,29 +162,7 @@
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
- x11proto-bigreqs-dev,
- x11proto-composite-dev,
- x11proto-core-dev,
- x11proto-damage-dev,
- x11proto-dmx-dev,
- x11proto-fixes-dev,
- x11proto-fonts-dev,
- x11proto-gl-dev,
- x11proto-input-dev,
- x11proto-kb-dev,
- x11proto-randr-dev,
- x11proto-record-dev,
- x11proto-render-dev,
- x11proto-resource-dev,
- x11proto-scrnsaver-dev,
- x11proto-video-dev,
- x11proto-xcmisc-dev,
- x11proto-xext-dev,
- x11proto-xf86bigfont-dev,
- x11proto-xf86dga-dev,
- x11proto-xf86dri-dev,
- x11proto-xf86vidmode-dev,
- x11proto-xinerama-dev,
+ x11proto-dev,
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},

## xorg 7.7%2b23ubuntu1

=== debian/changelog ===
xorg (1:7.7+23ubuntu1) jammy; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Oct 2021 12:32:30 +0300

xorg (1:7.7+23) unstable; urgency=medium

  [ Timo Aaltonen ]
  * Xsession: Use mktemp instead of tempfile. (Closes: #992385)
  * control: Drop dependency on dummy package libgl1-mesa-glx. (Closes:
    #930609)
  * 90x11-common_ssh-agent: Clean up. (Closes: #861071)

  [ Jochen Sprickerhof ]
  * Replace 'which' by 'command -v'.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Aug 2021 14:00:51 +0300

xorg (1:7.7+22ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:27:07 +0200

xorg (1:7.7+22ubuntu1) hirsute; urgency=medium

  * Merge from Debian.
  * control: Drop obsolete Breaks/Replaces.
  * xserver-xorg.links: Update and drop obsolete entries.
  * x11-common.preinst: Dropped, obsolete.
  * x11-common.maintscript: Dropped, obsolete.
  * control: Drop geode from -video-all suggests, obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Feb 2021 11:12:34 +0200

xorg (1:7.7+22) unstable; urgency=medium

  [ Josh Triplett ]
  * Fix support for /etc/X11/Xsession.options.d directory

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Feb 2021 11:58:45 +0200

xorg (1:7.7+21) unstable; urgency=medium

  [ Josh Triplett ]
  * Support /etc/X11/Xsession.options.d/*.conf in addition to
    Xsession.options, allowing sysadmins to drop configuration snippets there
    rather than editing /etc/X11/Xsession.options.

  [ Ben Hutchings ]
  * x11-common: Stop passing unsupported parameters to update-rc.d
    (Closes: #785076)

  [ Timo Aaltonen ]
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 09 Oct 2020 11:21:52 +0300

xorg (1:7.7+20) unstable; urgency=medium

  [ Julien Cristau ]
  * Update docs for alioth→salsa move.

  [ Sven Joachim ]
  * Let xorg-dev depend on x11proto-dev rather than on the transional
    x11-proto-*-dev packages (Closes: #906537).

  [ Timo Aaltonen ]
  * x11-common.dirs: Add etc/X11/xorg.conf.d for config snippets.

  [ Iain Lane ]
  * 20x11-common_process-args: Find the first word of our startup program for
    $STARTUP. It's valid for this to be a full invocation, with arguments, but
    for our purposes we only care what the executable was. (Closes: #694832)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 27 Oct 2019 11:03:47 +0200

xorg (1:7.7+19) unstable; urgency=high

  * Team upload.
  * xserver-xorg now Recommends xserver-xorg-legacy, we'd have liked to avoid
    installing the setuid Xorg wrapper by default in stretch, but this seems
    to break too much still (closes: #861683).

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 May 2017 11:38:16 +0200

xorg (1:7.7+18) unstable; urgency=medium

  * Call db_purge without arguments in postinst to fix error uncovered by
    adding "set -e" in 1:7.7+17 (closes: #845398).  Thanks, Samuel Thibault
    and Tianon Gravi!

 -- Julien Cristau <jcristau@debian.org>  Wed, 23 Nov 2016 08:50:50 +0100

xorg (1:7.7+17) unstable; urgency=medium

  [ Andreas Boll ]
  * control: Drop -freedreno from -video-all, the default 2D-driver will
    be -modesetting.

  [ Emilio Pozuelo Monfort ]
  * debian/x11-common.postinst: call `set -e'.
  * Bump Standards-Version to 3.9.8. No changes.
  * Bump debhelper compat to 10. Drop --parallel flag, enabled by default.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Nov 2016 00:02:26 +0100

xorg (1:7.7+16) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Drop -evdev and -synaptics from x-x-input-all Depends for
    linux.

  [ Julien Cristau ]
  * Drop xserver-xorg-input-void from s390x.  The server can come up with no
    input devices nowadays, -input-void isn't necessary.

  [ Cyril Brulebois ]
  * Drop xserver-xorg-input-vmmouse from xserver-xorg-input-all Depends,
    since the kernel driver for the VMware mouse device is incompatible
    with Xorg's vmmouse driver but works with the generic evdev and
    libinput drivers. Closes: #831286

 -- Cyril Brulebois <kibi@debian.org>  Thu, 14 Jul 2016 15:32:12 +0200

xorg (1:7.7+15) unstable; urgency=medium

  * Make x-x-input-all depend on x-x-input-libinput. Closes: #821760.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Apr 2016 12:09:18 +0200

xorg (1:7.7+14) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Demote -intel to -video-all Recommends, allowing to uninstall
    it if necessary.

  [ Andreas Boll ]
  * Add xserver-xorg-video-freedreno to -video-all on arm64.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Mar 2016 15:07:40 +0200

## xorg 7.7+1ubuntu4

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Standards-Version: 4.5.0
+Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
+Standards-Version: 3.9.2
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper-compat (= 12),
+ debhelper (>= 7.3.15ubuntu3),
  po-debconf,
 # xsf-docs:
  asciidoc,
-Vcs-Git: https://salsa.debian.org/xorg-team/debian/xorg
-Vcs-Browser: https://salsa.debian.org/xorg-team/debian/xorg
-Homepage: https://www.x.org/
+Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
+Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
 
 Package: x11-common
 Architecture: all
@@ -33,19 +33,17 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.17.2-2),
- xserver-xorg-legacy [!linux-any],
+ xserver-xorg-core (>= 2:1.11),
+ xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
+ xserver-xorg-input-evdev [linux-any],
+ hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
- x11-xkb-utils,
- python3-apport,
+ x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
- mesa-vulkan-drivers,
- xserver-xorg-legacy [linux-any],
- xserver-xorg-video-all,
 Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
@@ -54,17 +52,10 @@
 Package: xserver-xorg-video-all
 Architecture: any
 Depends:
- xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
- xserver-xorg-video-ati [!hurd-any !s390x],
- xserver-xorg-video-fbdev [!s390x],
- xserver-xorg-video-dummy [s390x],
- xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
- xserver-xorg-video-vesa [!s390x],
- xserver-xorg-video-vmware [amd64 hurd-i386 i386 x32],
- ${misc:Depends},
-Recommends:
- xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
- xserver-xorg-video-qxl [amd64 i386 x32],
+ ${F:XServer-Xorg-Video-Depends},
+ ${misc:Depends},
+Recommends:
+ ${F:XServer-Xorg-Video-Recommends},
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
 Description: X.Org X server -- output driver metapackage
@@ -75,13 +66,10 @@
 Package: xserver-xorg-input-all
 Architecture: any
 Depends:
- xserver-xorg-input-kbd [!linux-any],
- xserver-xorg-input-libinput [linux-any],
- xserver-xorg-input-mouse [!linux-any],
- xserver-xorg-input-synaptics [!linux-any],
- ${misc:Depends},
-Recommends:
- xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
+ ${F:XServer-Xorg-Input-Depends},
+ ${misc:Depends},
+Recommends:
+ ${F:XServer-Xorg-Input-Recommends},
 Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -91,13 +79,14 @@
 Architecture: any
 Depends:
  xserver-xorg (>= ${binary:Version}),
- libgl1-mesa-glx | libgl1 [!armhf],
- libgl1-mesa-dri [!armhf],
- libglu1-mesa [!armhf],
+ libgl1-mesa-glx | libgl1,
+ libgl1-mesa-dri,
+ libglu1-mesa,
  xfonts-base (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
+ x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
@@ -105,17 +94,16 @@
  xfonts-utils,
  xkb-data,
  xorg-docs-core,
- gnome-terminal | xterm | x-terminal-emulator,
- ${misc:Depends},
+ xterm | x-terminal-emulator,
+ ${misc:Depends},
+ x11-common,
  xinput,
 Recommends:
  xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests:
- xorg-docs,
+Suggests: xorg-docs,
  xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1),
- x11-xfs-utils,
+ xfonts-75dpi (>= 1:1.0.0-1)
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -162,10 +150,33 @@
  libxvmc-dev,
  libxxf86dga-dev,
  libxxf86vm-dev,
- x11proto-dev,
+ x11proto-bigreqs-dev,
+ x11proto-composite-dev,
+ x11proto-core-dev,
+ x11proto-damage-dev,
+ x11proto-dmx-dev,
+ x11proto-fixes-dev,
+ x11proto-fonts-dev,
+ x11proto-gl-dev,
+ x11proto-input-dev,
+ x11proto-kb-dev,
+ x11proto-randr-dev,
+ x11proto-record-dev,
+ x11proto-render-dev,
+ x11proto-resource-dev,
+ x11proto-scrnsaver-dev,
+ x11proto-video-dev,
+ x11proto-xcmisc-dev,
+ x11proto-xext-dev,
+ x11proto-xf86bigfont-dev,
+ x11proto-xf86dga-dev,
+ x11proto-xf86dri-dev,
+ x11proto-xf86vidmode-dev,
+ x11proto-xinerama-dev,
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
+ x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -184,13 +195,13 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
+ x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
  xinit,
  ${misc:Depends},
-Suggests:
- x11-xfs-utils,
+ x11-common,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -207,13 +218,13 @@
 Section: x11
 Architecture: all
 Depends:
+ x11-xfs-utils,
  x11-utils,
  x11-xserver-utils,
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
-Suggests:
- x11-xfs-utils,
+ x11-common,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X

## xorg 7.7+1ubuntu6

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11),
- xserver-xorg-video-all | xorg-driver-video,
+ xserver-xorg-core (>= 2:1.11) | xserver-xorg-core-omap-revert [armhf],
+ xserver-xorg-video-all  | xserver-xorg-video-omap-revert [armhf] | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
  hal (>= 0.5.14-4~) [kfreebsd-any],

## xorg 7.7+1ubuntu8

=== debian/control ===
--- 
+++ 
@@ -79,9 +79,9 @@
 Architecture: any
 Depends:
  xserver-xorg (>= ${binary:Version}),
- libgl1-mesa-glx | libgl1,
- libgl1-mesa-dri,
- libglu1-mesa,
+ libgl1-mesa-glx | libgl1 [!armhf],
+ libgl1-mesa-dri [!armhf],
+ libglu1-mesa [!armhf],
  xfonts-base (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,

## xorg 7.7+1ubuntu8.1

=== xsf-docs/Makefile ===
#!/usr/bin/make -f

txt_files = $(shell find -name '*.txt' -a ! -name '.*.txt')

html_files = $(patsubst %.txt,%.html,$(txt_files))

pdf_files = $(patsubst %.txt,%.pdf,$(txt_files))

TXT_TO_HTML  = asciidoc -a linkcss
HTML_TO_PDF  = wkhtmltopdf
CSS_FILE     = xsf.css
ADOC_CSS_FILE= asciidoc-xhtml11.css
ADOC_JS_FILE = asciidoc-xhtml11.js
SVG_LOGO     = xsf.svg
PNG_LOGO     = xsf.png

all_files = $(html_files) $(txt_files) $(CSS_FILE) $(ADOC_CSS_FILE) $(ADOC_JS_FILE) $(SVG_LOGO) $(PNG_LOGO)

all: html $(PNG_LOGO)

html: $(html_files)

pdf: $(pdf_files)

%.html: rel_path=$(shell echo $@|sed 's,[^/],,g;s,/,../,g')
%.html: link_home=$(shell echo "<a href=\"$(rel_path)index.html\">XSF</a> / ")
%.html: %.txt
	@echo " HTML $@"
	@$(TXT_TO_HTML) -o $@.tmp $<
	@echo " HOME $@"
	@if [ $< != index.txt ]; then sed -i 's,<h1>,<h1>$(link_home),' $@.tmp; fi
	@echo " CSS  $@"
	@sed -i 's,\(rel="stylesheet" href="\)[^"]*,\1$(rel_path)$(CSS_FILE),' $@.tmp
	@echo " JS   $@"
	@sed -i 's,\(type="text/javascript" src="\)[^"]*,\1$(rel_path)$(ADOC_JS_FILE),' $@.tmp
	@mv $@.tmp $@

%.pdf: %.html $(CSS_FILE) $(ADOC_CSS_FILE) $(ADOC_JS_FILE) $(SVG_LOGO)
	@echo " GEN  $@"
	@$(HTML_TO_PDF) $< $@

# We usually don't need to run this one, but it's easier to keep both
# SVN and PNG logos in sync:
$(PNG_LOGO): $(SVG_LOGO)
	inkscape $< -e $@

install:
	@if [ -z "$(DESTDIR)" ]; then \
		echo 'E: DESTDIR is not set, not installing.'; exit 1; \
	fi
	mkdir -p $(DESTDIR)
	# There are probably better ways:
	set -e; for i in $(all_files); do \
		d=$(DESTDIR)/`dirname $$i` && \
		mkdir -p $$d && \
		install $$i $$d; \
	done

clean:
	@echo "Removing all generated files"
	rm -f $(html_files) $(pdf_files)


.PHONY: clean html pdf all

=== debian/changelog ===
xorg (1:7.7+1ubuntu8.1) trusty-proposed; urgency=medium

  * Fixup the xorg packages to work correctly with the renamed lts stack.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 09 Oct 2014 11:55:01 +0200

=== debian/control ===
--- 
+++ 
@@ -34,9 +34,9 @@
 Architecture: any
 Depends:
  xserver-xorg-core (>= 2:1.11) | xserver-xorg-core-omap-revert [armhf],
- xserver-xorg-video-all  | xserver-xorg-video-omap-revert [armhf] | xorg-driver-video,
- xserver-xorg-input-all | xorg-driver-input,
- xserver-xorg-input-evdev [linux-any],
+ xserver-xorg-video-all (>= 0~) | xorg-driver-video,
+ xserver-xorg-input-all (>= 0~) | xorg-driver-input,
+ xserver-xorg-input-evdev (>= 0~) [linux-any],
  hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
@@ -44,7 +44,15 @@
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
-Provides: xserver
+Provides:
+ xserver-xorg-renamed,
+ xserver,
+Replaces:
+ xserver-xorg-renamed,
+ xorg-renamed-package,
+Conflicts:
+ xserver-xorg-renamed,
+ xorg-renamed-package,
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
@@ -78,7 +86,7 @@
 Package: xorg
 Architecture: any
 Depends:
- xserver-xorg (>= ${binary:Version}),
+ xserver-xorg (>= ${binary:Version}) | xserver-xorg-renamed,
  libgl1-mesa-glx | libgl1 [!armhf],
  libgl1-mesa-dri [!armhf],
  libglu1-mesa [!armhf],

## xorg 7.7+3~deb7u1

=== debian/changelog ===
xorg (1:7.7+3~deb7u1) wheezy; urgency=low

  * Reupload to stable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 06 May 2013 19:22:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
 Standards-Version: 3.9.2
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper (>= 7.3.15ubuntu3),
+ debhelper (>= 7),
  po-debconf,
 # xsf-docs:
  asciidoc,
@@ -33,10 +32,10 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11) | xserver-xorg-core-omap-revert [armhf],
- xserver-xorg-video-all (>= 0~) | xorg-driver-video,
- xserver-xorg-input-all (>= 0~) | xorg-driver-input,
- xserver-xorg-input-evdev (>= 0~) [linux-any],
+ xserver-xorg-core (>= 2:1.11),
+ xserver-xorg-video-all | xorg-driver-video,
+ xserver-xorg-input-all | xorg-driver-input,
+ xserver-xorg-input-evdev [linux-any],
  hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
@@ -44,15 +43,7 @@
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
-Provides:
- xserver-xorg-renamed,
- xserver,
-Replaces:
- xserver-xorg-renamed,
- xorg-renamed-package,
-Conflicts:
- xserver-xorg-renamed,
- xorg-renamed-package,
+Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
  X.Org X server.  It does not provide the actual server itself.
@@ -86,11 +77,14 @@
 Package: xorg
 Architecture: any
 Depends:
- xserver-xorg (>= ${binary:Version}) | xserver-xorg-renamed,
- libgl1-mesa-glx | libgl1 [!armhf],
- libgl1-mesa-dri [!armhf],
- libglu1-mesa [!armhf],
+ xserver-xorg (>= ${binary:Version}),
+ libgl1-mesa-glx | libgl1,
+ libgl1-mesa-dri,
+ libglu1-mesa,
  xfonts-base (>= 1:1.0.0-1),
+ xfonts-100dpi (>= 1:1.0.0-1),
+ xfonts-75dpi (>= 1:1.0.0-1),
+ xfonts-scalable (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
@@ -104,14 +98,8 @@
  xorg-docs-core,
  xterm | x-terminal-emulator,
  ${misc:Depends},
- x11-common,
- xinput,
-Recommends:
- xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs,
- xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1)
+Suggests: xorg-docs
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -184,7 +172,6 @@
  xserver-xorg-dev,
  xtrans-dev,
  ${misc:Depends},
- x11-common,
 Description: X.Org X Window System development libraries
  This metapackage provides the development libraries for the X.Org X Window
  System.
@@ -209,7 +196,6 @@
  xauth,
  xinit,
  ${misc:Depends},
- x11-common,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -232,7 +218,6 @@
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
- x11-common,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X

## xorg 7.7+7

=== debian/control ===
--- 
+++ 
@@ -32,11 +32,10 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11),
+ xserver-xorg-core (>= 2:1.15.0.901),
  xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
- hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
@@ -88,7 +87,6 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
@@ -99,7 +97,9 @@
  xterm | x-terminal-emulator,
  ${misc:Depends},
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs
+Suggests:
+ xorg-docs,
+ x11-xfs-utils,
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -190,12 +190,13 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
  xinit,
  ${misc:Depends},
+Suggests:
+ x11-xfs-utils,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -212,12 +213,13 @@
 Section: x11
 Architecture: all
 Depends:
- x11-xfs-utils,
  x11-utils,
  x11-xserver-utils,
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
+Suggests:
+ x11-xfs-utils,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for xfree86 source package
# Originally by Stephen Early <sde1000@debian.org>
# Modified by Mark W. Eichin <eichin@kitten.gen.ma.us>
# Modified by Adam Heath <doogie@debian.org>
# Modified by Branden Robinson <branden@debian.org>
# Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
# Modified by Daniel Stone <daniel.stone@ubuntu.com>
# Modified by David Nusinow <dnusinow@debian.org>
# Copyright 1996--2005 Software in the Public Interest, Inc.
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
# Acknowledgements to Stephen Early, Mark Eichin, and Manoj Srivastava.

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CC ?=gcc
endif
CFLAGS = \
	-Wall \
	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CFLAGS)
CPPFLAGS = \
	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get CPPFLAGS)
LDFLAGS = \
	$(shell DEB_BUILD_MAINT_OPTIONS=hardening=+all dpkg-buildflags --get LDFLAGS)

# debhelper
export DH_OPTIONS

include debian/xsfbs/xsfbs.mk

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Read in architecture-specific variables of importance.
include debian/scripts/vars.$(ARCH)

clean: cleanscripts
	dh_testdir
	dh_clean debian/local/X debian/po/pothead
	$(MAKE) -C xsf-docs clean
	-rm -rf stampdir
	-debconf-updatepo


SCRIPTS=$(shell ls debian/*.config.in debian/*.postinst.in debian/*.postrm.in debian/*.preinst.in debian/*.prerm.in)

scripts: scripts-stamp
scripts-stamp: genscripts
	touch $@

build: build-stamp
build-stamp: scripts-stamp
	dh_testdir
	# build Debian's X server wrapper
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o debian/local/X debian/local/xserver-wrapper.c
	$(MAKE) -C xsf-docs
	touch $@

build-arch-only: build
build-all:

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
	touch $@

binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_installinit -px11-common -u'start 70 S .'
	dh_installman
	dh_lintian
	dh_link
	dh_compress
	dh_fixperms
	chown root:root debian/x11-common/etc/X11/Xreset
	chmod 755 debian/x11-common/etc/X11/Xreset
	chown root:root debian/x11-common/etc/X11/Xsession
	chmod 755 debian/x11-common/etc/X11/Xsession
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	touch $@-stamp

binary-arch: DH_OPTIONS=-s
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdebconf
	dh_installdirs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chown root:root debian/xserver-xorg/usr/bin/X
	chmod ug+s debian/xserver-xorg/usr/bin/X
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VF:XServer-Xorg-Video-Depends=$(XSERVER_XORG_VIDEO_DEPENDS) \
	                 -VF:XServer-Xorg-Input-Depends=$(XSERVER_XORG_INPUT_DEPENDS) \
	                 -VF:XServer-Xorg-Video-Recommends=$(XSERVER_XORG_VIDEO_RECOMMENDS) \
	                 -VF:XServer-Xorg-Input-Recommends=$(XSERVER_XORG_INPUT_RECOMMENDS)
	dh_md5sums
	dh_builddeb
	touch $@-stamp

binary: binary-indep binary-arch

.PHONY: default
.PHONY: genscripts cleanscripts scripts
.PHONY: updatepo
.PHONY: clean configure install
.PHONY: build build-arch-only build-all
.PHONY: binary binary-arch binary-indep
.PHONY: environment

# vim:set noet ai sts=8 sw=8 tw=0:

## xorg 7.7+13ubuntu3

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Standards-Version: 3.9.6
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper (>= 7),
+ debhelper (>= 9),
  po-debconf,
 # xsf-docs:
  asciidoc,
-Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
+ inkscape,
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/debian/xorg.git
+Homepage: http://www.x.org/
 
 Package: x11-common
 Architecture: all
@@ -32,16 +34,16 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.15.0.901),
- xserver-xorg-video-all | xorg-driver-video,
+ xserver-xorg-core (>= 2:1.17.2-2),
+ xserver-xorg-legacy [!linux-any],
  xserver-xorg-input-all | xorg-driver-input,
- xserver-xorg-input-evdev [linux-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
+ xserver-xorg-video-all | xorg-driver-video,
 Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
@@ -50,10 +52,20 @@
 Package: xserver-xorg-video-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Video-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Video-Recommends},
+ xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
+ xserver-xorg-video-ati [!hurd-any !s390x],
+ xserver-xorg-video-fbdev [!s390x],
+# xserver-xorg-video-freedreno [armel armhf],
+ xserver-xorg-video-dummy [s390x],
+ xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
+ xserver-xorg-video-vesa [!s390x],
+ xserver-xorg-video-vmware [amd64 hurd-i386 i386 x32],
+ ${misc:Depends},
+Recommends:
+ xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
+ xserver-xorg-video-qxl [amd64 i386 x32],
+Suggests:
+ xserver-xorg-video-geode [i386],
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
 Description: X.Org X server -- output driver metapackage
@@ -64,10 +76,15 @@
 Package: xserver-xorg-input-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Input-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Input-Recommends},
+ xserver-xorg-input-evdev [linux-any],
+ xserver-xorg-input-kbd [!linux-any],
+ xserver-xorg-input-mouse [!linux-any],
+ xserver-xorg-input-synaptics [!s390x],
+ xserver-xorg-input-vmmouse [amd64 i386 x32],
+# xserver-xorg-input-void [s390x],
+ xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
+ ${misc:Depends},
+Recommends:
 Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -77,13 +94,10 @@
 Architecture: any
 Depends:
  xserver-xorg (>= ${binary:Version}),
- libgl1-mesa-glx | libgl1,
- libgl1-mesa-dri,
- libglu1-mesa,
+ libgl1-mesa-glx | libgl1 [!armhf],
+ libgl1-mesa-dri [!armhf],
+ libglu1-mesa [!armhf],
  xfonts-base (>= 1:1.0.0-1),
- xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1),
- xfonts-scalable (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
@@ -96,9 +110,14 @@
  xorg-docs-core,
  xterm | x-terminal-emulator,
  ${misc:Depends},
+ xinput,
+Recommends:
+ xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
 Suggests:
  xorg-docs,
+ xfonts-100dpi (>= 1:1.0.0-1),
+ xfonts-75dpi (>= 1:1.0.0-1),
  x11-xfs-utils,
 Description: X.Org X Window System
  This metapackage provides the components for a standalone

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_clean:
	$(MAKE) -C xsf-docs clean

override_dh_auto_build:
	$(MAKE) -C xsf-docs

override_dh_install:
	$(MAKE) -C xsf-docs install DESTDIR=$(CURDIR)/debian/xserver-xorg/usr/share/doc/xorg
	dh_install

override_dh_installinit-indep:
	dh_installinit -px11-common -u'start 70 S .'

override_dh_fixperms-indep:
	dh_fixperms
	chown root:root debian/x11-common/etc/X11/Xreset
	chmod 755 debian/x11-common/etc/X11/Xreset
	chown root:root debian/x11-common/etc/X11/Xsession
	chmod 755 debian/x11-common/etc/X11/Xsession

# vim:set noet ai sts=8 sw=8 tw=0:

## xorg 7.7+13ubuntu3.1

=== debian/changelog ===
xorg (1:7.7+13ubuntu3.1) xenial; urgency=medium

  * x11-common.preinst:
    - Rename nux config leftovers which might change the environment
      even when not running an unity session (LP: #1768610)
  * debian/control:
    - x11-common breaks nux-tools (<< 4.0.8+16.04.20180613.1-0ubuntu1) - this
      version contains the fixed conffile; if it's installed on the system we
      need people to be upgraded to the new version.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Jun 2018 12:04:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # xsf-docs:
  asciidoc,
  inkscape,
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git -b ubuntu-xenial
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/debian/xorg.git
 Homepage: http://www.x.org/
 
@@ -19,6 +19,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, lsb-base (>= 1.3-9ubuntu2)
+Breaks: nux-tools (<< 4.0.8+16.04.20180613.1-0ubuntu1)
 Description: X Window System (X.Org) infrastructure
  x11-common contains the filesystem infrastructure required for further
  installation of the X Window System in any configuration; it does not
